package com.yonge.cooleshow.biz.dal.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yonge.cooleshow.biz.dal.dao.VideoLessonGroupLogDao;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupLog;
import com.yonge.cooleshow.biz.dal.service.VideoLessonGroupLogService;
import com.yonge.toolset.mybatis.dal.BaseDAO;
import com.yonge.toolset.mybatis.service.impl.BaseServiceImpl;

@Service
public class VideoLessonGroupLogServiceImpl extends BaseServiceImpl<Long, VideoLessonGroupLog>  implements VideoLessonGroupLogService {
	
	@Autowired
	private VideoLessonGroupLogDao videoLessonGroupLogDao;

	@Override
	public BaseDAO<Long, VideoLessonGroupLog> getDAO() {
		return videoLessonGroupLogDao;
	}

	@Override
	public Long queryMaxVersion(Long videoLessonGroupId) {
		return videoLessonGroupLogDao.queryMaxVersion(videoLessonGroupId);
	}

	@Override
	public VideoLessonGroupLog queryByVideoLessonGroupId(Long videoLessonGroupId, Long version) {
		return videoLessonGroupLogDao.queryByVideoLessonGroupId(videoLessonGroupId, version);
	}

	@Override
	public VideoLessonGroupLog queryLastestShelvesInfo(Long videoLessonGroupId) {
		return videoLessonGroupLogDao.queryLastestShelvesInfo(videoLessonGroupId);
	}
	
}